Name:		xbsql
Summary:	A SQL wrapper for xbase
Version:	0.11
Release:	17%{?dist}
Group:		Development/Libraries
License:	LGPLv2+
URL:		http://www.quaking.demon.co.uk/xbsql/
Source0: 	http://www.rekallrevealed.org/packages/%{name}-%{version}.tgz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	xbase-devel >= 3.1.2, ncurses-devel, readline-devel, bison, libtool
Patch0:		xbsql-0.11-ncurses64.patch
Patch1:		xbsql-0.11-xbase64.patch

%description
XBSQL is a wrapper library which provides an SQL-subset interface to Xbase 
DBMS.

%package devel
Summary: XBSQL development libraries and headers
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: xbase-devel

%description devel
Headers and libraries for compiling programs that use the XBSQL library.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
make %{?_smp_mflags} LIBTOOL=%{_bindir}/libtool CFLAGS="%{optflags}" CPPFLAGS="%{optflags}"

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.a

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING doc/*.html README
%{_libdir}/*.so.*
%{_bindir}/xql

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/*
%{_libdir}/*.so

%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jan 20 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.11-15
- don't package static lib (resolves bz 556100)
- use optflags when building

* Wed Aug 19 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.11-14
- update for new xbase

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar 11 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.11-11
- Rebuild against fixed (for gcc-4.3 compat) xbase

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.11-10
- Autorebuild for GCC 4.3

* Mon Aug 27 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.11-9
- license fix
- rebuild for BuildID

* Mon Sep 11 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.11-8
- missing BR: bison

* Mon Sep 11 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.11-7
- rebuild

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.11-6
- bump for FC-5

* Thu Aug 18 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.11-5
- fix 64 bit ncurses detection

* Thu Aug 18 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.11-4
- add the Requires: xbase-devel for the -devel package

* Mon Jul 18 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.11-3
- add BR: readline-devel

* Sun Jul 10 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.11-2
- shorten description
- add BuildRequires: ncurses-devel

* Fri Jun 17 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.11-1
- initial package for Fedora Extras
